
Foreman - Feature #609

Manage puppetCA though a smart proxy

01/25/2011 02:44 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: PuppetCA   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the smart proxy provide an interface to manage puppetCA on remote hosts

Related issues:

Blocked by Smart Proxy - Feature #624: allow the proxy to list/show puppet ce... Closed 01/27/2011

Follows Foreman - Feature #664: smart-proxy objects should have a capabilitie... Closed

Associated revisions

Revision 36f93e4d - 03/17/2011 02:32 PM - Ohad Levy

Fixes #609 - Orchestrate puppetca operations

This also includes adding support for a puppet smart-proxy target type

and providing migration support

Updated to provide backward compatability for host and hostgroup objects

Now terminates the build and incorporates other fixes

Removed bogus host_groups_helper.rb file

This also includes a way to toggle between a smart proxy managed puppet master vs legacy puppetmaster integeration

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

Signed-off-by: Ohad Levy <ohadlevy@gmail.com>

History

#1 - 02/12/2011 06:02 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Assignee changed from Ohad Levy to Paul Kelly

Changed logic determining if operation is local or not

Does not set root_pass when not unattended

#2 - 03/01/2011 11:26 AM - Paul Kelly

Now terminates the build operation

#3 - 03/07/2011 08:47 AM - Paul Kelly

rebased and tested

#4 - 03/13/2011 05:25 AM - Paul Kelly

rebased and tested

#5 - 03/16/2011 09:46 AM - Paul Kelly

rebased and tested

#6 - 03/17/2011 03:09 PM - Ohad Levy

- % Done changed from 0 to 100
Applied in changeset 36f93e4dc1cc161ccd77f24ad65fab958d7c287d.

#7 - 03/18/2011 06:09 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

Yipeee. Closed at last.
